Bug 871442 (netdisco-httpd24)

Summary: Broken configuration for httpd 2.4
Product: [Fedora] Fedora Reporter: Remi Collet <rcollet>
Component: netdiscoAssignee: Walter Gould <walt>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: fedora, perl-devel, timothy.m.butterworth, walt
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 07:46:36 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 871373    
Attachments:
Description Flags
netdisco-httpd24.patch none

Description Remi Collet 2012-10-30 09:05:29 EDT
Please review /etc/httpd/conf.d/netdisco_apache.conf
Comment 1 Remi Collet 2013-01-07 04:57:38 EST
Created attachment 673857 [details]
netdisco-httpd24.patch

The attached patch fixes the httpd 2.4 configuration and warnings raised at httpd service startup

AH01574: module perl_module is already loaded, skipping
AH01574: module apreq_module is already loaded, skipping
AH00671: The Alias directive in /etc/httpd/conf.d/netdisco_apache_dir.conf at line 5 will probably never match because it overlaps an earlier Alias


But apache still doesn't start because of a perl issue out of my skills

 httpd[10295]: Use of qw(...) as parentheses is deprecated at /usr/share/perl5/vendor_perl/netdisco.pm line 337.
 httpd[10295]: AH00526: Syntax error on line 27 of /etc/httpd/conf.d/netdisco_apache.conf:
 httpd[10295]: Can't use an undefined value as an ARRAY reference at (eval 61) line 1.\n
Comment 2 Remi Collet 2013-01-08 04:50:17 EST
Add perl-sig in CC, if someone want to fix this perl issue
(the attached patch fixes the httpd config issue)
Comment 3 Petr Pisar 2013-01-08 05:33:56 EST
(In reply to comment #1)
>  httpd[10295]: Use of qw(...) as parentheses is deprecated at
> /usr/share/perl5/vendor_perl/netdisco.pm line 337.

foreach my $type qw(booleans array_refs hash_refs array_refs_mult hash_refs_mult) {}

You have to put qw() inside parenthesis because foreach requires array, but qw() builds list only. This is Perl 5.16 news.


>  httpd[10295]: AH00526: Syntax error on line 27 of
> /etc/httpd/conf.d/netdisco_apache.conf:

The patch does not apply. But reading the patch, line 27 is blank line between closing Directory and opening Perl tags. So I don't know what's wrong here.

>  httpd[10295]: Can't use an undefined value as an ARRAY reference at (eval
> 61) line 1.\n
It requires 266 MB to install, e.g. wayland-server (in F19). I have now idea why, but I'm not going to check it. The dependency tree is silly.
Comment 4 Remi Collet 2013-01-08 05:44:44 EST
 
> The patch does not apply. 

This patch doesn't apply on the installed config.
It apply on the upstream provided config (in the source tarball).
The spec then alter it (using perl/sed, in %prep)

+ echo 'Patch #0 (netdisco-httpd24.patch):'
Patch #0 (netdisco-httpd24.patch):
+ /usr/bin/patch -p0 --fuzz=0
+ /usr/bin/cat /home/fedora/git/netdisco/netdisco-httpd24.patch
patching file netdisco_apache_dir.conf
patching file netdisco_apache.conf
...
Comment 5 Timothy M. Butterworth 2013-05-02 13:29:06 EDT
The Perl issue appears to be fixed in NetDisco upstream release 1.2 /usr/share/perl5/vendor_perl/netdisco.pm

The current Fedora 18 NetDisco version is netdisco-1.1-3.fc18.noarch, The latest stable upstream release currenlty is 1.2 which was released on 2013-04-13.

I swapped the netdisco.pm file with the one included in the download tar file removes the error and allows httpd to start, I am not sure if any other functionality would have been broken by this though.

I am going to manually install the full upstream 1.2. 

The upstread 1.2 still sadly includes the old permission structure for apache though.

Will you please pass on a request for the packager of NetDisco to package and release version 1.2 into updates testing for Fedora 18.
Comment 6 Timothy M. Butterworth 2013-05-02 14:42:24 EDT
The configuration script /usr/sbin/netdisco_config also have a number of errors in Fedora 18. Specificly there are a number of error messages for "No such file or directory" for files located in the /etc/init.d/. Specifically postgresql which has been migrated to systemd.

The netdisco netdisco_config script will need to be updated for Fedora 18 as well.
Comment 7 Timothy M. Butterworth 2013-05-02 15:04:03 EDT
Please set a high priority for the fix for NetDisco 1.1 as currently just installing NetDisco causes httpd not to startup properly after a reboot which creates a service outage for other httpd web applications.
Comment 8 Fedora End Of Life 2013-12-21 04:14:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 07:46:39 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.